;;;; utf8-string-interpolation.scm  -*- Scheme -*-
;;;; Kon Lovett, Jul '18
;;;; Kon Lovett, Sep '17

(module utf8-string-interpolation

(;export
  string-interpolate)

(import
  (except scheme read-char #;peek-char #;read)
  (except chicken reverse-list->string))

;refs interaction-environment parentheses-synonyms

(import
  (only (chicken string) ->string)
  (only utf8-srfi-13 string-concatenate-reverse #;reverse-list->string)
  (only utf8 #;peek-char read-char #;read list->string)
  (only (srfi 1) reverse!)
  (only type-checks check-string))

;;;

(define-inline (reverse-list->string clist)
  (list->string (reverse! clist)) )

(include "string-interpolation-body")

;;;

(set-sharp-string-interpolation-syntax string-interpolate)

) ;utf8-string-interpolation
